Access to individual endpoints can be restricted per account. If a request to this endpoint returns
403 with error code endpoint_not_enabled and you expect to have access, contact your account representative.GET /v1/products/lists/{list_id} to retrieve a specific product list and the complete product data for every item it contains. This is the endpoint to call when you need current pricing, affiliate URLs, availability status, or any other product field for the items in a list.
Request
Endpoint:GET /v1/products/lists/{list_id}
Headers
Path parameters
The unique identifier of the list to retrieve. You receive a
list_id when you create a list or from the id field in GET /v1/products/lists responses.Example request
cURL
Response
A200 OK response contains a data object with the list details and an array of full product objects.
Response fields
Product object fields
Each item indata.products contains the following fields.